eoInitFixedLength(3)

NAME
eoInitFixedLength - Initializer for fixed length representations with a single type.

SYNOPSIS

#include <eoInit.h>

Inherits eoInit< EOT >< EOT >.

  Public Types
typedef EOT::AtomType AtomType

  Public Member Functions
eoInitFixedLength (unsigned _combien, eoRndGenerator< AtomType > &_generator)
virtual void operator() (EOT &chrom)
The pure virtual function that needs to be implemented by the subclass.

  Private Attributes
unsigned combien
eoSTLF< AtomType > generator
generic wrapper for eoFunctor (s), to make them have the function-pointer style copy semantics

Detailed Description

  template<class EOT> class eoInitFixedLength< EOT >
Initializer for fixed length representations with a single type.

Definition at line 81 of file eoInit.h.

Author

Generated automatically by Doxygen for EO from the source code.